Subject: Re: bug#61976: [elpa/yasnippet] [PATCH] Fix compilation warnings in Emacs 29

From: Stefan Monnier <[email-masked]>
Date: Fri, 01 Sep 2023 17:10:52 -0400

>> Hi. The attached patch fixes the compilation warnings in yasnippet.el
>> when compiling with Emacs 29.
> Hmm.  Yasnippet seems to be maintained on Github these days, and AFAIU
> we pull from there automatically.  Wouldn't installing it directly on
> elpa.git lead to conflicts?

Yes, please don't push to `elpa.git` directly (at least as long as the
`:url` isn't nil in `elpa-packages`).

> Could someone with access perhaps just push this patch to yasnippet on GitHub?

I have more pending patches on `scratch/yasnippet` so you could push
yours there, and then try and get someone at the upstream to pay
attention to it?
[ See https://github.com/joaotavora/yasnippet/issues/1167  ]

        Stefan